## ros-crystal-object-analytics-rviz 0.5.3

=== debian/changelog ===
ros-crystal-object-analytics-rviz (0.5.3-0bionic) bionic; urgency=high

  * Merge remote-tracking branch 'upstream/devel'
  * Merge pull request #66 from intel/unit_test
    fix unittest segment issue
  * fix unittest_segmenter failure
  * Merge pull request #65 from intel/obj_id_zero
    Obj id zero
  * remove obj_id for 3d localization
    currently obj_id is already zero, because the 2d tracking is not accurate and 3d localication did not use this value. but zero display will confuse user in visualization. so just remove it. Once 2d tracking is good quality and 3d localization will based on 2d tracking output, and then re-add this obj_id again.
  * Merge pull request #62 from intel/rviz_corner_issue
    fix rviz process die when launch oa
  * fix rviz process die when launch object_analytics
    the minimun corner of the box must be less than or equal to maximum corner. when moving object velocity is (0,0,0), it and will assert rviz ogre rander.
    fix issue: https://github.com/intel/ros2_object_analytics/issues/61
    Signed-off-by: Chris Ye <mailto:chris.ye@intel.com>
  * Contributors: Chris Ye

 -- Chris Ye <chris.ye@intel.com>  Wed, 23 Jan 2019 16:00:00 -0000

ros-crystal-object-analytics-rviz (0.5.2-0bionic) bionic; urgency=high

  * Merge remote-tracking branch 'origin/master' into crystal
  * Contributors: Chris Ye

 -- Chris Ye <chris.ye@intel.com>  Thu, 06 Dec 2018 16:00:00 -0000

ros-crystal-object-analytics-rviz (0.5.1-0bionic) bionic; urgency=high

  * Merge pull request #54 <https://github.com/intel/ros2_object_analytics/issues/54> from nuclearsandwich/dependencies
    Reconcile dependencies between package.xml and CMakeLists.txt
  * fix error in CTest
  * Add ament_lint_auto dependency to package manifest.
    This package is required when BUILD_TESTING is enabled but is not in the
    package manifest and is causing failures on the ROS buildfarm.
    I added ament_lint_common since that seems to be the practice when using
    ament_lint_auto but I do not know whether that's necessary or desired in
    this case.
  * Contributors: Chris Ye, Steven! Ragnarök

 -- Chris Ye <chris.ye@intel.com>  Wed, 05 Dec 2018 16:00:00 -0000

ros-crystal-object-analytics-rviz (0.5.0-0bionic) bionic; urgency=high

  * update launch file
    * delete object_analytics_launch package and create object_analytics_node/launch folder
    * rename node name from composition to object_anaytics_node
    * fix loading MovementNode to class typo
    * update readme to simple launch example
    Signed-off-by: Chris Ye <mailto:chris.ye@intel.com>
  * Merge pull request #49 <https://github.com/yechun1/ros2_object_analytics/issues/49> from ahuizxc/merged_mo
    Enable moving object feature
  * merged with moving object project
  * Merge pull request #47 <https://github.com/yechun1/ros2_object_analytics/issues/47> from ahuizxc/master
    better display
  * remove message_filters used in rviz for better display and changed the default layout of rviz
  * Merge pull request #45 <https://github.com/yechun1/ros2_object_analytics/issues/45> from ahuizxc/master
    fixed rviz cannot show localization marker
  * remove message_filter used in rviz for better display
  * Merge pull request #43 <https://github.com/yechun1/ros2_object_analytics/issues/43> from intel/fix_build_issue
    add semicolon after RCLCPP_INFO
  * add semicolon after RCLCPP_INFO
    Signed-off-by: Chris Ye <mailto:chris.ye@intel.com>
  * Merge pull request #40 <https://github.com/yechun1/ros2_object_analytics/issues/40> from intel/ament_test
    Ament test
  * update copyright format to pass colcon test
    Signed-off-by: Chris Ye <mailto:chris.ye@intel.com>
  * use ament_lint_auto for ros2 code style check
    Signed-off-by: Chris Ye <mailto:chris.ye@intel.com>
  * Merge pull request #36 <https://github.com/yechun1/ros2_object_analytics/issues/36> from intel/message_filter
    update message_filter and interface
  * update message_filter and interface
    Signed-off-by: Chris Ye <mailto:chris.ye@intel.com>
  * Contributors: Chris Ye, ahuizxc

 -- Chris Ye <chris.ye@intel.com>  Tue, 13 Nov 2018 16:00:00 -0000

ros-crystal-object-analytics-rviz (0.4.0-0bionic) bionic; urgency=high

  * update maintainer
    Signed-off-by: Chris Ye <mailto:chris.ye@intel.com>
  * fix c++ code style issue
    Signed-off-by: Chris Ye <mailto:chris.ye@intel.com>
  * add ament_cppcheck
    Signed-off-by: Chris Ye <mailto:chris.ye@intel.com>
  * Merge pull request #29 <https://github.com/intel/ros2_object_analytics/issues/29> from ahuizxc/multi-obj-in-rviz
    support showing multi objects localization marks in RVIZ
  * deleted these two lines and changed the clear objects code
  * support showing multi objects localization marks in RVIZ
  * Merge pull request #23 <https://github.com/intel/ros2_object_analytics/issues/23> from intel/perf
    Merge detected object in localization and tracking
  * Merge detected object in localization and tracking
    Merged detected object_name and probability in localization and tracking object,
    so that users could only subscribe localization or tracking, needn't sub detected object
    and needn't do message fileter again.
    Signed-off-by: Chris Ye <mailto:chris.ye@intel.com>
  * Revert "moving object rectangle with correct position"
    ros2_movidius_ncs have fixed roi issue, revert the patch.
    This reverts commit 17a1120a37905e2fe619225f89f0903e7fb90f97.
  * Merge pull request #18 <https://github.com/intel/ros2_object_analytics/issues/18> from intel/rviz_cpp
    fix rviz line draw malposition issue
  * fix rviz line draw malposition issue
    set marker.pos.position is not correct, the value should be zero, just remove it and it will use default zero value.
    Signed-off-by: Chris Ye <mailto:chris.ye@intel.com>
  * moving object rectangle with correct position
    Signed-off-by: Chris Ye <mailto:chris.ye@intel.com>
  * Merge pull request #17 <https://github.com/intel/ros2_object_analytics/issues/17> from intel/rviz_cpp

