=== debian/control ===
Source: ros-crystal-object-analytics-rviz
Section: misc
Priority: extra
Maintainer: Chris Ye <chris.ye@intel.com>
Build-Depends: debhelper (>= 9.0.0), ros-crystal-ament-cmake, ros-crystal-ament-lint-auto, ros-crystal-ament-lint-common, ros-crystal-cv-bridge, ros-crystal-geometry-msgs, ros-crystal-message-filters, ros-crystal-object-analytics-msgs, ros-crystal-object-msgs, ros-crystal-rclcpp, ros-crystal-sensor-msgs, ros-crystal-std-msgs, ros-crystal-visualization-msgs, ros-crystal-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-crystal-object-analytics-rviz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-crystal-cv-bridge, ros-crystal-geometry-msgs, ros-crystal-message-filters, ros-crystal-object-analytics-msgs, ros-crystal-object-msgs, ros-crystal-rclcpp, ros-crystal-sensor-msgs, ros-crystal-std-msgs, ros-crystal-visualization-msgs, ros-crystal-ros-workspace
Description: Display object analytics result in rviz
